<?php 

	if (Session::get("tipo_usuario") != "1"){ show_403();}
	if ($_SERVER["REQUEST_METHOD"] == "POST") {
		import_file(DIR_MODELS."Model.class.php");

		$titulo = filter_input(INPUT_POST, "titulo_pagina", FILTER_SANITIZE_STRING);
		$local = filter_input(INPUT_POST, "local_pagina", FILTER_SANITIZE_STRING);
		$conteudo = filter_input(INPUT_POST, "conteudo_pagina", FILTER_DEFAULT);
		$id = encrypt_decode(filter_input(INPUT_POST, "id_pagina", FILTER_SANITIZE_STRING));

		$model = new Model();

		if (!empty($titulo) and !empty($conteudo) and !empty($id)) {
			if ($model->issetElementInTable("pagina", ["titulo_pagina" => $titulo], ["id_pagina" => $id])) {
				echo json_encode(["status" => false, "motivo" => "titulo"]);
				exit();
			}

			$id_pagina = $model->update("pagina", [
				"titulo_pagina" => $titulo,
				"conteudo_pagina" => $conteudo,
				"slug_pagina" => show_slug($titulo),
				"local_pagina" => $local
			], [
				"id_pagina" => $id
			]);

			if ($id_pagina > 0) {
				$last_query = $model->lastQuery();
				$model->insert("historico", [
					"comando_sql" => $last_query,
					"datahora_acao" => date("Y-m-d H:i:s"),
					"id_usuario" => Session::get("id_usuario")
				]);

				$model->commit();
				echo json_encode(["status" => true]);
			}
			else{
				$model->rollback();
				echo json_encode(["status" => false]);
			}
		}
		else{
			echo json_encode(["status" => false, "motivo" => "campos"]);
		}
	}
	else{
		show_403();
	}

?>